Text.Parse.ByteString

# The Parse class is a replacement for the standard Read class.

type TextParser a

class Parse a

parseByRead

readByParse

readsPrecByParsePrec

## Combinators specific to bytestring input, lexed haskell-style

word

isWord

literal

optionalParens

parens

field

constructors

enumeration

## Parsers for literal numerics and characters

parseSigned

parseInt

parseDec

parseOct

parseHex

parseUnsignedInteger

parseFloat

parseLitChar

parseLitChar'

## Re-export all the more general combinators from Poly too

## ByteStrings and Strings as whole entities

allAsByteString

allAsString